## cryptsetup 2.0.5

=== debian/changelog ===
cryptsetup (2:2.0.5-2) unstable; urgency=medium

  * debian/initramfs/hooks/*: Skip call to copy_file() when the target already
    exists (as the function return value 1 in the case).
  * OpenPGP Smartcard support, based on work by Peter Lebbing and Erik
    Nellessen. (Closes: #888916, #903163.)
  * Move header presence check to crypttab_parse_options() from
    unlock_mapping().  Having the presence checks in unlock_mapping() caused
    dummy password prompts in interactive mode when the LUKS header file was
    missing.  Regression since 2:2.0.3-2.  (Closes: #914458.)

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 24 Nov 2018 18:34:42 +0100

cryptsetup (2:2.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Remove d/patches/Disable-blockwise-compat-test-as-it-s-FS-dependent.patch
    as the test suite no longer fails on misaligned I/O in O_DIRECT mode.
    (Cf. upstream issue #403.)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 29 Oct 2018 12:21:00 +0100

cryptsetup (2:2.0.4-3) unstable; urgency=medium

  [ Guilhem Moulin ]
  * debian/initramfs/hooks/cryptroot:
    + Make _CRYPTTAB_* variables local to crypttab_find_and_print_entry().
      (Closes: #907243.)
    + Silence the warning that honoring CRYPTSETUP="[y|n]" in the config is
      deprecated when the variable is set to "y".  (Keep the warning when it's
      set to "n" though.)  Closes: #908220.
  * debian/functions: Make get_crypt_type() set variable CRYPTTAB_TYPE to the
    type of crypt device ("luks" / "plain" / "tcrypt").
  * debian/initramfs/scripts/local-top/cryptroot: Don't complain that
    (successful) unlocking of a LUKS device doesn't yield a known file system.
    The check is preserved for plain dm-crypt devices and tcrypt devices.
    (Closes: #906283.)
  * debian/control: Bump Standards-Version to 4.2.1 (no changes necessary).
  * debian/doc/crypttab.xml: Improve formatting.
  * debian/cryptsetup-run.lintian-overrides: Remove unused override
    init.d-script-possible-missing-stop (x2).
  * debian/libcryptsetup12.symbols: Add "Build-Depends-Package:
    libcryptsetup-dev" field.

  [ Helmut Grohne ]
  * Fix FTCBFS: Supply $(CC) from dpkg's buildtools.mk. (Closes: #911042)

  [ Dimitri John Ledkov ]
  * Implement support for `cryptsetup --sector-size` in crypttab(5).
    LP: #1776626.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 22 Oct 2018 17:45:35 +0200
