=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cryptsetup
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
+Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
 Uploaders: Jonas Meurer <jonas@freesources.org>,
            Guilhem Moulin <guilhem@debian.org>
 Build-Depends: autoconf,
@@ -27,7 +26,7 @@
                po-debconf,
                uuid-dev,
                xsltproc
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://gitlab.com/cryptsetup/cryptsetup
 Vcs-Browser: https://salsa.debian.org/cryptsetup-team/cryptsetup
 Vcs-Git: https://salsa.debian.org/cryptsetup-team/cryptsetup.git
@@ -68,12 +67,12 @@
 
 Package: cryptsetup-initramfs
 Architecture: all
-Depends: busybox-static | busybox,
+Depends: busybox | busybox-static,
          cryptsetup-run (>= ${source:Version}),
          initramfs-tools (>= 0.129) | linux-initramfs-tool,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: console-setup, kbd, plymouth
+Recommends: console-setup, kbd
 Breaks: cryptsetup (<< 2:2.0.3-1)
 Replaces: cryptsetup (<< 2:2.0.3-1)
 Description: disk encryption support - initramfs integration
