## cryptsetup 2.0.6

=== debian/changelog ===
cryptsetup (2:2.0.6-1) unstable; urgency=medium

  * New upstream bugfix release.  Highlights include:
    - Fix support of larger metadata areas in LUKS2 header.
    - Fix checking of device size alignment and hash & AEAD algorithms to
      avoid formatting devices that later cannot be activated.
    - Fix cryptsetup-reencrypt interrupt handling.
    - Allow Adiantum cipher construction (require Linux 4.21 or later).

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 03 Dec 2018 20:16:07 +0100
