=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow,+pie
 DEB_CFLAGS_MAINT_APPEND = -Wall
 include /usr/share/dpkg/architecture.mk
+-include /usr/share/dpkg/buildtools.mk
 
 CONFFLAGS =
