## cryptsetup 2.2.0

=== debian/changelog ===
cryptsetup (2:2.2.0-3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
    - Fix cryptroot-unlock for busybox compatibility.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Aug 2019 16:13:22 -0700

cryptsetup (2:2.2.0-3) unstable; urgency=medium

  * Cherry pick upstream commit 8f8f0b32: Fix mapped segments overflow on
    32bit architectures.  Regression since 2:2.1.0-1.  (Closes: #935702)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 26 Aug 2019 12:53:45 +0200

cryptsetup (2:2.2.0-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
    - Fix cryptroot-unlock for busybox compatibility.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Aug 2019 12:25:55 -0700

cryptsetup (2:2.2.0-2) unstable; urgency=medium

  * debian/control: Add 'Multi-Arch: foreign' tag to the transitional dummy
    package 'crytsetup-run'.
  * debian/control, debian/compat: Bump debhelper compatibility level to 12.
  * debian/rules: Remove dh_makeshlibs(1) override; debhelper 12.3's auto
    detection feature subsumes our use of --add-udeb=.  This fixes FTBFS with
    debhelper 12.5.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 21 Aug 2019 22:45:12 +0200

cryptsetup (2:2.2.0-1ubuntu2) eoan; urgency=medium

  * debian/initramfs/cryptroot-unlock: canonicalize executable paths.
    Thanks to Paride Legovini <paride.legovini@canonical.com> for the patch.
    LP: #1840752.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 20 Aug 2019 15:34:10 -0700

cryptsetup (2:2.2.0-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
    - Apply patch from Trent Nelson to fix cryptroot-unlock for busybox
      compatibility.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Aug 2019 14:21:34 +0200

cryptsetup (2:2.2.0-1) unstable; urgency=medium

  * New upstream release 2.2.0.  Highlights include:
    + New LUKS2 online reencryption extension, allowing reencryption of
      mounted LUKS2 devices.
    + Optional global serialization lock for memory hard PBKDF, to workaround
      situations when multiple devices are unlocked in parallel, possibly
      exhausting memory and triggering the OOM killer.  (Cf. #924560.)
    + Add integritysetup support for bitmap mode (Linux >=5.2).
    + Reduce keyslots area size in luksFormat when the header device is too
      small.
  * Remove d/patches, applied upstream.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 15 Aug 2019 09:31:55 +0200

cryptsetup (2:2.1.0-8) unstable; urgency=medium

  * encrypted-boot.md:
    + Clarify partition layout.
    + encrypted-boot.md: New section 'Using a custom keyboard layout'.
  * d/gbp.conf: New section [export-orig] mirroring [buildpackage].
  * d/gitlab-ci.yml: Add 'publish' stage and make yamllint(1) happy.
  * d/patches: Backport upstream commit c03e3fe8 so libcryptsetup's
    crypt_keyslot_add_by_volume_key() also works a on LUKS2 header where all
    bound key slots were deleted, like it does for LUKS1. (Closes: #934715)

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 14 Aug 2019 16:34:23 +0200

cryptsetup (2:2.1.0-7) unstable; urgency=low

  * debian/cryptsetup.NEWS: Mention the 'cryptsetup' and 'cryptsetup-run'
    package swap.
  * debian/control: Add 'cryptsetup-initramfs' to 'cryptsetup's Recommends:,
    so upgrading systems pull it automatically on upgrade.  (cryptsetup
    <2:2.1.0-6 was a dummy transitional package depending on cryptsetup-run
    and cryptsetup-initramfs.)  Closes: #932643.
  * debian/control: Add 'cryptsetup-run' to 'cryptsetup's Recommends.  This
    avoids it being removed by `apt upgrade --autoremove` from <2:2.1.0-6,
    thus avoids the old cryptsetup-run's prerm script showing a scary (but
    moot) warning.  After upgrading the prerm script is gone and the package
    can be removed without troubles, so we can get rid of it after Bullseye.
    (Closes: #932625.)
  * cryptsetup-initramfs: Add loud warning upon "prerm remove" if there are
    mapped crypt devices (like for cryptsetup.prerm).
  * Thanks to David Prévot for helping with the upgrade path!

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 21 Jul 2019 21:21:10 -0300

cryptsetup (2:2.1.0-6) unstable; urgency=low

  * debian/control:
    + Add 'Multi-Arch: foreign' tags to 'cryptsetup-bin' and 'crytsetup-run',
      as binaries from these packages are architecture independent.
      (Closes: #930115)
    + Add 'Build-Depends: jq, xxd' as the jq(1) and xxd(1) executables are
      required for some upstream tests (skipped if the executables are not
      found in $PATH).
    + Swap 'cryptsetup' and 'cryptsetup-run' packages: the former now contains
      init scripts, libraries, keyscripts, etc. while the latter is now a
      transitional dummy package.
    + Remove obsolete cryptsetup.maintscript.
    + Bump Standards-Version to 4.4.0 (no changes necessary).
  * debian/*:
    + Fix path names for /usr/share/doc/cryptsetup*/**. (Closes: #904916).
    + Remove compatibility warnings regarding setting 'CRYPTSETUP' in
      the initramfs hook configuration.  The variable is no longer honored,
      and cryptsetup is always integrated to the initramfs when the
      'cryptsetup-initramfs' package is installed.
  * debian/doc/pandoc/encrypted-boot.md: Minor refactoring.
  * debian/gitlab-ci.yml: Adapt pandoc flags to Debian 9 (pass '-S').
  * debian/initramfs/conf-hook: Clarify that KEYFILE_PATTERN isn't expanded
    for crypttab(5) entries with a 'keyscript=' option. (Closes: #930696)
  * debian/doc/crypttab.xml: Point to README.initramfs in the "See Also"
    section. (Closes: #913233)


