=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: cryptsetup
 Section: admin
 Priority: optional
-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
 Uploaders: Jonas Meurer <jonas@freesources.org>,
            Guilhem Moulin <guilhem@debian.org>
 Build-Depends: autoconf,
                automake (>= 1:1.12),
                autopoint,
-               debhelper (>= 11~),
+               debhelper (>= 12.3),
                dh-exec,
                dh-strip-nondeterminism,
                docbook-xml,
                docbook-xsl,
                gettext,
+               jq,
                libargon2-dev,
                libblkid-dev,
                libdevmapper-dev,
@@ -25,21 +27,24 @@
                pkg-config,
                po-debconf,
                uuid-dev,
-               xsltproc
-Standards-Version: 4.3.0
+               xsltproc,
+               xxd
+Standards-Version: 4.4.0
 Homepage: https://gitlab.com/cryptsetup/cryptsetup
 Vcs-Browser: https://salsa.debian.org/cryptsetup-team/cryptsetup
 Vcs-Git: https://salsa.debian.org/cryptsetup-team/cryptsetup.git
 
-Package: cryptsetup-run
+Package: cryptsetup
 Architecture: linux-any
+Multi-Arch: foreign
 Depends: cryptsetup-bin (>= 2:1.6.0),
          dmsetup,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: dosfstools, keyutils, liblocale-gettext-perl
-Replaces: cryptsetup (<< 2:2.0.3-1), cryptsetup-bin (<< 2:2.0.3-2)
-Breaks: cryptsetup (<< 2:2.0.3-1), cryptsetup-bin (<< 2:2.0.3-2)
+Replaces: cryptsetup-run (<< 2:2.1.0-6)
+Recommends: cryptsetup-initramfs, cryptsetup-run
+Breaks: cryptsetup-run (<< 2:2.1.0-6)
 Description: disk encryption support - startup scripts
  Cryptsetup provides an interface for configuring encryption on block
  devices (such as /home or swap partitions), using the Linux kernel
@@ -57,6 +62,7 @@
 
 Package: cryptsetup-bin
 Architecture: linux-any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: disk encryption support - command line tools
  Cryptsetup provides an interface for configuring encryption on block
@@ -69,11 +75,11 @@
 
 Package: cryptsetup-initramfs
 Architecture: all
-Depends: busybox | busybox-static,
+Depends: busybox-initramfs,
          cryptsetup-run (>= ${source:Version}),
          initramfs-tools (>= 0.129) | linux-initramfs-tool,
          ${misc:Depends}
-Recommends: console-setup, kbd
+Recommends: console-setup, kbd, plymouth
 Breaks: cryptsetup (<< 2:2.0.3-1)
 Replaces: cryptsetup (<< 2:2.0.3-1)
 Description: disk encryption support - initramfs integration
@@ -84,16 +90,15 @@
  .
  This package provides initramfs integration for cryptsetup.
 
-Package: cryptsetup
+Package: cryptsetup-run
+Section: oldlibs
 Architecture: all
-Section: oldlibs
-Depends: cryptsetup-initramfs (>= 2:2.0.3-1),
-         cryptsetup-run (>= 2:2.0.3-1),
-         ${misc:Depends}
-Description: transitional dummy package for cryptsetup-{run,initramfs}
+Multi-Arch: foreign
+Depends: cryptsetup (>= 2:2.1.0-6), ${misc:Depends}
+Description: transitional dummy package for cryptsetup
  This is a transitional dummy package to get upgrading systems to install the
- cryptsetup-run and cryptsetup-initramfs packages. It can safely be removed
- once no other package depends on it.
+ cryptsetup package. It can safely be removed once no other package depends on
+ it.
 
 Package: libcryptsetup12
 Section: libs
