=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends: autoconf,
                automake (>= 1:1.12),
                autopoint,
+               debhelper-compat (= 12),
                debhelper (>= 12.3),
                dh-exec,
                dh-strip-nondeterminism,
@@ -26,10 +27,11 @@
                libtool,
                pkg-config,
                po-debconf,
+               procps,
                uuid-dev,
                xsltproc,
                xxd
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://gitlab.com/cryptsetup/cryptsetup
 Vcs-Browser: https://salsa.debian.org/cryptsetup-team/cryptsetup
 Vcs-Git: https://salsa.debian.org/cryptsetup-team/cryptsetup.git
@@ -76,7 +78,7 @@
 Package: cryptsetup-initramfs
 Architecture: all
 Depends: busybox-initramfs,
-         cryptsetup-run (>= ${source:Version}),
+         cryptsetup (>= ${source:Version}),
          initramfs-tools (>= 0.129) | linux-initramfs-tool,
          ${misc:Depends}
 Recommends: console-setup, kbd, plymouth
