=== debian/rules ===
--- 
+++ 
@@ -55,9 +55,9 @@
 	dh_install
 	# install apport files when building on Ubuntu
 ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
-	mkdir -p $(CURDIR)/debian/cryptsetup-run/usr/share/apport/package-hooks
+	mkdir -p $(CURDIR)/debian/cryptsetup/usr/share/apport/package-hooks
 	install -m 0644 debian/cryptsetup.apport \
-		$(CURDIR)/debian/cryptsetup-run/usr/share/apport/package-hooks/cryptsetup.py
+		$(CURDIR)/debian/cryptsetup/usr/share/apport/package-hooks/cryptsetup.py
 endif
 	mv -f $(CURDIR)/debian/cryptsetup-initramfs.preinst $(CURDIR)/debian/cryptsetup-initramfs.preinst~
 	while IFS= read -r x; do if [ "$${x#CONF_HOOK_CONTENTS=}" = "$$x" ]; then printf "%s\n" "$$x"; else printf "CONF_HOOK_CONTENTS=\"\$$(cat <<EOF\n"; cat debian/initramfs/conf-hook; printf "EOF\n)\""; fi ; done <$(CURDIR)/debian/cryptsetup-initramfs.preinst~ >$(CURDIR)/debian/cryptsetup-initramfs.preinst
@@ -68,8 +68,8 @@
 	dh_link -plibcryptsetup-dev /lib/$(DEB_HOST_MULTIARCH)/$$(basename $$(readlink debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libcryptsetup.so.12)) /usr/lib/$(DEB_HOST_MULTIARCH)/libcryptsetup.so
 
 override_dh_installinit:
-	dh_installinit -pcryptsetup-run --no-start --name=cryptdisks
-	dh_installinit -pcryptsetup-run --no-start --name=cryptdisks-early
+	dh_installinit -pcryptsetup --no-start --name=cryptdisks
+	dh_installinit -pcryptsetup --no-start --name=cryptdisks-early
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -80,8 +80,8 @@
 
 override_dh_fixperms-arch:
 	dh_fixperms
-	chmod 0755 debian/cryptsetup-run/lib/cryptsetup/checks/*
-	chmod 0755 debian/cryptsetup-run/lib/cryptsetup/scripts/decrypt_*
+	chmod 0755 debian/cryptsetup/lib/cryptsetup/checks/*
+	chmod 0755 debian/cryptsetup/lib/cryptsetup/scripts/decrypt_*
 	chmod 0755 debian/cryptsetup-udeb/lib/cryptsetup/checks/*
 	chmod 0755 debian/cryptsetup-udeb/lib/cryptsetup/scripts/decrypt_*
 
@@ -90,6 +90,3 @@
 	chmod 0755 debian/cryptsetup-initramfs/usr/share/cryptsetup/initramfs/bin/*
 	chmod 0755 debian/cryptsetup-initramfs/usr/share/initramfs-tools/hooks/*
 	chmod 0755 debian/cryptsetup-initramfs/usr/share/initramfs-tools/scripts/*/*
-
-override_dh_makeshlibs:
-	dh_makeshlibs -V --add-udeb=libcryptsetup12-udeb
